# SPACEHANDLER.VIEW3D.DRAW
import Blender
from Blender import Image, Draw, Window, BGL, Object
from Blender.BGL import *

winSize = Window.GetAreaSize()
width = winSize[0]
height = winSize[1]

camImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_cam_icon.png")
aniImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_anim_icon.png")
pyImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_py_icon.png")	
renderImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_render_icon.png")	
meshtoolsImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_meshtools_icon.png")	
showhideImg = Image.Load(Blender.Get("scriptsdir") + "/" + "hot_spots_showhide_icon.png")	
Draw.Image(camImg,5,5)
if Window.EditMode() == 0: Draw.Image(aniImg,width -25,height-25)
Draw.Image(pyImg,5,height-25)
Draw.Image(renderImg,width -95,5)

if Window.EditMode():
	Draw.Image(meshtoolsImg,120,height-25)
	Draw.Image(showhideImg,200,height-25)

glRasterPos2i(width -15,15)

if Window.EditMode() == 0:
	ob = Object.GetSelected()
	if len(ob) >1 :Draw.Text(str(len(ob)) + " Objects Selected","small")     
	if len(ob) ==1 :Draw.Text(str(len(ob)) + " Object Selected","small") 


#print "xmin: " + str(xmin)
#print "xmax: " + str(xmax)
#print "width:" + str(width)					
#print "ymin: " + str(ymin)
#print "ymax: " + str(ymax)	
#print "height:" + str(height)
#print ""    	